Seamess::Engine.routes.draw do
  #
  # Any route that comes before the wildcard will take priority, even if there
  # is a page with the same slug.
  namespace :manager, module: "manager" do
    resources :pages
    get "/", to: "dashboard#dashboard", as: :dashboard
    root to: "dashboard#dashboard"
  end

  get "styles",  to: "pages#styles", as: :styles
  get "*slug",   to: "pages#show"
  root           to: "pages#show"
end
